CGPVCFSPLIT(1)

NAME
cgpVCFSplit.pl - Splits a VCF file into files of [l] lines, will include the head lines in ever file unless -n is specified.

SYNOPSIS
cgpVCFSplit.pl [-h] -l 1000 -f vcfToSplit.vcf

  General Options:

  --help      (-h)       Brief documentation

        --linecount (-l)       The number of mutant lines to put in each split file.

        --nohead    (-n)       Switch to ignore the header of the file when creating split files.

        --file      (-i)       The file to split.

        --outFile   (-o)       The base output file name will be <fileName>.[1-n] where n is the number of files created by the split.

        --skip-validate (-s)   Skip the validation step.

        Optional parameters:

        --version   (-v)       Prints version information.

  Examples:

    cgpVCFSplit.pl -l 2000 -f thisVCF.vcf -g 1